GET /accounts/{account_id}/registries
List registries
curl -X GET "https://api.prd.rad.security/accounts/example_string/registries" \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/registries"
headers = {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/registries", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/registries", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/registries')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
[
{
"account_id": "example_string",
"aws_account_id": "example_string",
"aws_region": "example_string",
"created_at": "example_string",
"gcp_location": "example_string",
"gcp_project_id": "example_string",
"gcp_project_number": "example_string",
"id": "example_string",
"repository_name": "John Doe",
"type": "example_string",
"updated_at": "example_string"
}
]
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/registriesGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: Authorization)
Authorizationstring
RequiredAPI key (sent in header)
path
account_idstring
RequiredAccount ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
account_idstring
RequiredAccount ID
Responses
account_idstring
aws_account_idstring
aws_regionstring
created_atstring
gcp_locationstring
gcp_project_idstring
gcp_project_numberstring
idstring
repository_namestring
typestring
updated_atstring
Was this page helpful?